KSNIP(1)

NAME

ksnip - cross-platform screenshot and annotation tool

SYNOPSIS

ksnip [options]... [image]

DESCRIPTION

ksnip is a Qt-based cross-platform screenshot and annotation tool.

OPTIONS

-h, --help
    Displays help on commandline options.

--help-all
    Displays help including Qt specific options.

-v, --version
    Displays version information.

-r, --rectarea
    Select a rectangular area from where to take a screenshot.

-l, --lastrectarea
    Take a screenshot using last selected rectangular area.

-f, --fullscreen
    Capture the fullscreen including all monitors.

-m, --current
    Capture the screen (monitor) where the mouse cursor is currently located.

-a, --active
    Capture the window that currently has input focus.

-d, --delay <seconds>
    Delay before taking the screenshot.

-c, --cursor
    Capture mouse cursor on screenshot.

-e, --edit <image>
    Edit existing image in ksnip.

-s, --save
    Save screenshot to default location without opening in editor.

-p, --saveto <path>
    Save screenshot to provided path without opening in editor.

-o, --upload
    Upload screenshot via default uploader without opening in editor.

ARGUMENTS

image
    Edit existing image in ksnip